#-----------------------------------------------------------------------
# initiate:   systemctl enable ae-dir-pwd.service
# start:      systemctl start ae-dir-pwd.service
# get status: systemctl status ae-dir-pwd.service
#
# {{ ansible_managed }}
#-----------------------------------------------------------------------

[Unit]
Description=ae-dir-pwd - AE-DIR password self-service web application
Requires=local-fs.target network.target
After=local-fs.target network.target

[Service]
Type=simple
{% if aedir_malloc_ld_preload %}
Environment=LD_PRELOAD={{ aedir_malloc_ld_preload }}
{% endif %}
Environment=LDAPNOINIT=1
Environment=PYTHONPATH={{ aedir_etc }}/ae-dir-pwd
# some env vars set for Python interpreter
{% for evar in aedir_python_env %}
Environment={{ evar.name }}={{ evar.value }}
{% endfor %}
ExecStart={{ uwsgi_paths.exec }} --strict --ini {{ aedir_etc }}/uwsgi/ae-dir-pwd.ini
User=ae-dir-pwd
Group=ae-dir-pwd
KillSignal=SIGQUIT
Restart=always
CapabilityBoundingSet=
AmbientCapabilities=
RestrictAddressFamilies=AF_INET AF_INET6 AF_UNIX
{% if aedir_systemd_logging %}
# various logging options from ansible var aedir_systemd_logging
{% for systemd_option in aedir_systemd_logging %}
{{ systemd_option }}
{% endfor %}
{% endif %}
{% if aedir_systemd_hardening %}
# various hardening options from ansible var aedir_systemd_hardening
{% for systemd_option in aedir_systemd_hardening %}
{{ systemd_option }}
{% endfor %}
{% endif %}
SystemCallFilter={{ systemd_systemcallfilter.default }}
{% if apparmor_enabled %}
AppArmorProfile=ae-dir-pwd
{% endif %}

[Install]
WantedBy=multi-user.target
